=== debian/changelog ===
kde-baseapps (4:4.8.4-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add breaks/replaces in konqueror against kdebase-data << 4.7.2.
    (Closes: #679789)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Oct 2012 18:04:13 -0300

kde-baseapps (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

  [ Pino Toscano ]
  * Move files of the konqueror documentation from kde-baseapps-data to
    konqueror itself.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 22:18:08 +0300

kde-baseapps (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes support for SOCKS proxy in konqueror. (Closes: #575885)
  * Team upload.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 03:09:23 +0300
