=== debian/changelog ===
kde-baseapps (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:39:47 +0200

kde-baseapps (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update dolphin.install.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:33:35 +0200

kde-baseapps (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - drop patches applied upstream:
      + Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
      + Fix-drag-drop-cursor-issue.patch
      + Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 16:06:12 +0200
