=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>,
- Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3),
  libxrender-dev, zlib1g-dev,
- libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
+ libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies,
  libtidy-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -48,8 +46,6 @@
  This package provides core applications for the KDE 4 desktop.
 
 Package: kdebase-apps
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: kde-baseapps, ${misc:Depends}
 Description: Transitional package for kde-baseapps
@@ -60,8 +56,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: ruby
-Suggests: kdesdk-dolphin-plugins
+Suggests: kdesdk-dolphin-plugins, kfind, ruby, konsole, kompare
 Description: file manager 
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
  to be both powerful and easy to use.
@@ -89,8 +84,6 @@
  This package is part of the KDE base applications module.
 
 Package: kdebase-bin
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-baseapps-bin
 Description: Transitional package for new kde-baseapps
@@ -99,8 +92,8 @@
 Package: kde-baseapps-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdebase-data (<< 4:4.7.2)
-Replaces: kdebase-data (<< 4:4.7.2)
+Breaks: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
+Replaces: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
 Description: shared data files for the KDE base applications
  This package contains the architecture-independent shared data files needed
  for a basic KDE 4 desktop installation.
@@ -133,10 +126,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
-Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
-Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
-Description: advanced file manager, web browser and document viewer
+Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin
+Description:  advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
  Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
@@ -168,6 +159,23 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
  python, libjpeg-progs
+Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-babelfish (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-crashes (<< 4:4.4.0),
+          konqueror-plugin-dirfilter (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-domtreeviewer (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-fsview (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-imagerotation (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-khtmlsettings (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-kimgallery (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-minitools (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-rellinks (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
+          konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -243,8 +251,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
-Replaces: libkonq5 (<< 4:4.4.5-3)
-Breaks: libkonq5 (<< 4:4.4.5-3)
+Replaces: libkonq5 (<< 4:4.4.5-3), libkonq5a
+Breaks: libkonq5 (<< 4:4.4.5-3), libkonq5a
 Description: core Konqueror library - support files
  This package contains plugins and data files used by the core Konqueror
  library (libkonq).
@@ -278,36 +286,8 @@
 Architecture: any
 X-Debian-ABI: 0
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libkonqsidebarplugin4
+Breaks: libkonqsidebarplugin4
 Description: konqueror sidebar plugin library
  This package contains base library for Konqueror sidebar plugins.
  .
- This package is part of the KDE base applications module.
-
-Package: libkonqsidebarplugin-dev
-Section: libdevel
-Architecture: any
-Depends: libkonqsidebarplugin4a (= ${binary:Version}),
- ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
-Description: konqueror sidebar plugin library development files
- This package contains development headers for the Konqueror sidebar plugin
- library.
- .
- This package is part of the KDE base applications module.
-
-Package: plasma-widget-folderview
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: plasma widget showing the content of a folder
- This package contains the Folder View Plasma widget which is capable of
- displaying and managing contents of any KDE supported location. It can be used
- as a replacement for the traditional "desktop" folder concept in the main
- Plasma shell, but it is a lot more flexible. Folder View is part of the
- initial default KDE 4 desktop configuration.
- .
- This package is part of the KDE base applications module.
-
-Package: kde-baseapps-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: ${misc:Depends}, kde-runtime-dbg, konsole-dbg, kate-dbg
