## kde-baseapps 4.9.2

=== debian/changelog ===
kde-baseapps (4:4.9.2-0ubuntu4) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:37:46 -0400

kde-baseapps (4:4.9.2-0ubuntu3) quantal-proposed; urgency=low

  * Remove build-dep on kdelibs5-data now headers in correct -dev package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Oct 2012 10:21:10 +0100

kde-baseapps (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Build depend on kdelibs5-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 00:24:05 +0100

kde-baseapps (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:13:31 +0100

kde-baseapps (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release
  * Update kubuntu_install_flash.diff to apply properly

  [ Philip Muškovac ]
  * Change sonames from 4.9.0/5.9.0 to 4.9.*/5.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:18:36 +0530

kde-baseapps (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:48 +0100

kde-baseapps (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:04:39 +0100

kde-baseapps (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:08:00 +0200

kde-baseapps (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remainging changes:
    - keep breaks/replaces
    - keep symbol files
    - keep kubuntu patches
    - dolphin suggests and not recommends ruby
    - add kfind, konsole and kompare to dolphin suggests
  * konq-plugins breaks/replaces kde-baseapps-data << 4:4.8.80

  * Drop squence numbers from kubuntu patches 

  * New upstream beta release
    - refresh kubuntu_fix_systemsettings_about_me.diff
    - add new doc images to {konqueror,dolphin}.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 25 May 2012 17:26:17 +0200

kde-baseapps (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - drop patches applied upstream:
      + Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
      + Fix-drag-drop-cursor-issue.patch
      + Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:15:13 +0200

kde-baseapps (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100
