=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3),
  libxrender-dev, zlib1g-dev,
- libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies,
+ libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
@@ -46,6 +46,8 @@
  This package provides core applications for the KDE 4 desktop.
 
 Package: kdebase-apps
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: kde-baseapps, ${misc:Depends}
 Description: Transitional package for kde-baseapps
@@ -126,8 +128,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin
-Description:  advanced file manager, web browser and document viewer
+Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
+Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
  Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
@@ -157,8 +159,9 @@
 
 Package: konq-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
+Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.9.2),
  python, libjpeg-progs
+Breaks: kde-baseapps-data (<< 4:4.8.80)
 Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
@@ -175,7 +178,8 @@
           konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
           konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1)
+          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1),
+          kde-baseapps-data (<< 4:4.8.80)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -288,6 +292,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libkonqsidebarplugin4
 Breaks: libkonqsidebarplugin4
-Description: konqueror sidebar plugin library
- This package contains base library for Konqueror sidebar plugins.
- .
