## kde-baseapps 4.9.4

=== debian/changelog ===
kde-baseapps (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
  * Add upstream commits to fix dolphin regressions:
    5343a18b50e990d75f4434b3bb70b376ab935076
        as 0001-Added-curly-brackets-around-DolphinApplication-creat.patch
    6d0f9ada0198f6e73a8fca1e709676d0ac83a67b
        as 0002-Fix-incorrect-usage-of-list-iterators.patch
    620f9670af432c8c7a79fd47789da1788d7d6b17
        as 0003-Fix-keyboard-focus-handling-after-renaming-items-inl.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:45:45 +0100

kde-baseapps (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:49 +0100
